Skip to main content
POST
Bulk create invoices

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string
required

The UUID of the business to create invoices for

Body

application/json
external_id
string

External ID for the invoice within your platform. Idempotency key.

Example:

"019234"

sent_at
string<date-time>

When the invoice was sent by the business to the recipient.

due_at
string<date-time>

When the invoice is due.

voided_at
string<date-time>

When the invoice was voided. Voiding excludes the invoice entirely from accounting.

customer_id
string<uuid>

ID of the customer to associate with the invoice.

customer_external_id
string

External ID of the customer to associate with the invoice.

line_items
object[]

Line items making up the invoice.

additional_sales_taxes
object[]

List of sales tax obligations on this line item.

additional_discount
integer

Additional discount applied to the whole invoice in addition to individual line items.

tips
integer

Tips included by the buyer, in cents.

tips_account
Account ID · object

The Account Identifier for a tips account.

payments
object[]

Payments that have been made towards the balance of the invoice.

dedicated_refunds
object[]

Dedicated refunds to associate with this invoice

tags
object[]
memo
string | null

Memo for any text you would like to associate with the invoice (for example, to display to end users).

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the invoice. Can be used to filter when listing invoices.

Response

id
string<uuid>

Unique identifier for the invoice.

type
string

Resource type. Value will be 'Invoice'.

Example:

"Invoice"

business_id
string<uuid>

ID of the Business that generated the invoice.

external_id
string

Unique ID of the invoice in your system for linking purposes.

Example:

"1"

status
enum<string>

Status of the invoice.

Available options:
SENT,
PARTIALLY_PAID,
PAID,
VOIDED,
PARTIALLY_WRITTEN_OFF,
WRITTEN_OFF,
REFUNDED
sent_at
string<date-time>

When the invoice was sent by the business to the recipient.

due_at
string<date-time>

When the invoice is due.

paid_at
string<date-time>

When the invoice was paid.

voided_at
string<date-time>

When the invoice was voided. Voiding excludes the invoice from accounting.

line_items
object[]

Line items making up the invoice

subtotal
integer

Subtotal of all invoice line items in cents.

additional_discount
integer

Additional discount applied to the whole invoice in addition to individual line items.

additional_sales_taxes_total
integer

Sum of all taxes across the invoice line items and any additional taxes in cents.

additional_sales_taxes
object[]

List of additional sales tax line items

tips
integer

Tips included by the buyer, in cents.

total_amount
integer

Total amount of the invoice in cents.

outstanding_balance
integer

The remaining balance on the invoice after factoring in all previous invoice payments and write-offs.

memo
string

Memo for any text you would like to associate with the Invoice (for example, to display to end users).

payment_allocations
object[]

Payments made by a customer are allocated toward one or many invoices. This list shows which payments have been been allocated towards this invoice. The most common case is that there is a 1:1 relationship between a payment and an invoice, in which case the allocation’s amount will match the payment’s amount.

Example:
refund_allocations
object[]

Refunds made by a customer are allocated toward one or many invoices. This list shows which refunds have been been allocated towards this invoice.

Example:
imported_at
string<date-time>

Time when the invoice was first imported into Layer. Eligible sort key.

updated_at
string<date-time>

Time when the invoice was first updated in Layer. Eligible sort key.

transaction_tags
object[]

Tags on the transactions associated with the invoice

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the invoice. Can be used to filter when listing invoices.